List print stations
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/print-stations \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/print-stations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/print-stations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"hostname": "<string>",
"platform": "<string>",
"status": "<string>",
"default_printer_name": "<string>",
"printers": [
{
"name": "<string>"
}
],
"last_heartbeat_at": "2023-11-07T05:31:56Z",
"paired_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Unauthorized",
"message": "Authentication credentials are missing or invalid",
"status_code": 401
}Print Stations
List print stations
List the tenant’s paired print stations, most recently paired first. Any external client (including PickFlow) can list stations and enqueue jobs directly. This endpoint is also exposed at GET /pickflow/print-stations as a PickFlow-specific alias. The station’s token_hash is never exposed.
GET
/
print-stations
List print stations
⌘I